OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Segment Struct Reference

This class defines all the data stored in segment of a file. More...

`#include <nanovdb/util/IO.h>`

## Public Member Functions
| Segment (Codec c=Codec::NONE)
template<typename BufferT >
void | add (const GridHandle< BufferT > &h)
bool | read (std::istream &is)
void | write (std::ostream &os) const
uint64_t | memUsage () const

## Public Attributes
FileHeader | header
std::vector< FileGridMetaData > | meta

## Detailed Description

This class defines all the data stored in segment of a file.

A segment consists of a FileHeader followed by a list of FileGridMetaData each followed by grid names and then finally the grids themselves.

## Constructor & Destructor Documentation

## ◆ Segment()

Segment | ( | Codec | c = Codec::NONE | ) |
| inline

## Member Function Documentation

## ◆ add()

template<typename BufferT >

void add | ( | const GridHandle< BufferT > & | h | ) |
| inline

## ◆ memUsage()

uint64_t memUsage | ( |  | ) | const
| inline

## ◆ read()

bool read | ( | std::istream & | is | ) |
| inline

## ◆ write()

void write | ( | std::ostream & | os | ) | const
| inline

## Member Data Documentation

## ◆ header

FileHeader header

## ◆ meta

std::vector<FileGridMetaData> meta